package de.avatic.lcc.model.bulk.header;

public enum NodeHeader implements HeaderProvider {
    OPERATION("Operation"), MAPPING_ID("Mapping ID"), NAME("Name"), ADDRESS("Address"),
    COUNTRY("Country (ISO 3166-1)"), GEO_LATITUDE("Latitude"), GEO_LONGITUDE("Longitude"),
    IS_SOURCE("Source"), IS_INTERMEDIATE("Intermediate"), IS_DESTINATION("Destination"),
    OUTBOUND_COUNTRIES("Outbound countries (ISO 3166-1)"), PREDECESSOR_NODES("Predecessor Nodes (Mapping ID)"),
    IS_PREDECESSOR_MANDATORY("Predecessors mandatory");

    private final String header;


    NodeHeader(String header) {
        this.header = header;
    }

    @Override
    public String getHeader() {
        return header;
    }


}
